Bug 94744 - USERTEST: App Outline and Project Navigator uses are confusing
USERTEST: App Outline and Project Navigator uses are confusing
Status: NEW
Product: obsolete
Classification: Unclassified
Component: visualweb
5.x
All All
: P2 (vote)
: TBD
Assigned To: Jayashri Visvanathan
issues@obsolete
: USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-06 20:06 UTC by bugbridge
Modified: 2007-02-06 20:06 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2007-02-06 20:06:01 UTC
Original status: 7-Fix in Progress; Suggested Status: STARTED

Original Target Release: mako_dev; Suggested Target Milestone : Dev

These items should be added to the Keywords: USABILITY

Description:
Some test participants did not understand the difference between the Application
Outline and the Project Navigator. 

Some used mainly one of the two, ignoring the other. Others used both, but
seemed to be
looking for the same things in them, e.g., pages, source code, components. The
distinction between these two hierarchies may be too subtle.
xxx@xxxx 2004-07-12
xxx@xxxx 2004-09-15

Evaluation:
Need to work with Jeff on this. Will try to schedule for Mako, however an
intermediate step would be re-writing the AO using NB APIs.
xxx@xxxx 2004-09-15

Changing to an RFE.
xxx@xxxx 2004-11-06 00:31:33 GMT

Evaluation (Entry 2):
This is hopefully fixed now. Not in the way that the outline is merged with the
project navigator -- that will be very hard to address.

But we have renamed it the "Outline" and it only shows the file contents for the
-current- file. This makes it a bit clearer it's not showing the whole project.

It -is- unfortunately showing a couple of other managede beans (session,
request, application) to make it easy to drag & drop things like rowsets and
dataproviders into scoped beans.

Suggested Fix:
Consider merging these two into one hierarchy.
xxx@xxxx 2004-07-12


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo